;;; -*- Mode:LISP; Package:LAMBDA; Base:8 -*-


(defun simple-test-data-path (data-path-name)
  (let ((nbits (send *proc* data-path-name :data-path-width)))
    (dotimes (i nbits)
      (let ((data (ash 1 i)))
	(send *proc* data-path-name :data-path-write data)
	(let ((result (send *proc* data-path-name :data-path-read)))
	  (if (not (= result data))
	      (format t "~&~s wrote ~o (~:*#x~x) read ~o (~:*#x~x)"
		      data-path-name
		      data
		      result)))))
    (dotimes (i nbits)
      (let ((data (logand #xffffffff (ash -2 i))))
	(send *proc* data-path-name :data-path-write data)
	(let ((result (send *proc* data-path-name :data-path-read)))
	  (if (not (= result data))
	      (format t "~&~s wrote ~o (~:*#x~x) read ~o (~:*#x~x)"
		      data
		      result)))))))
